Index: src/tests/searchsort.c
===================================================================
--- src/tests/searchsort.c	(revision 93cdd5c0be264ba634992d1544795d31af46143b)
+++ src/tests/searchsort.c	(revision 8f346611c50954b97c8215e458a76af7fba93860)
@@ -10,6 +10,6 @@
 // Created On       : Thu Feb  4 18:17:50 2016
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Tue Jan  2 08:01:17 2018
-// Update Count     : 100
+// Last Modified On : Thu Aug  9 07:54:57 2018
+// Update Count     : 101
 // 
 
@@ -24,5 +24,5 @@
 	int iarr[size];
 
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		iarr[i] = size - i;
 		sout | iarr[i] | ", ";
@@ -32,9 +32,9 @@
 	// ascending sort/search by changing < to >
 	qsort( iarr, size );
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		sout | iarr[i] | ", ";
 	} // for
 	sout | endl;
-	for ( unsigned int i = 0; i < size; i += 1 ) {		// C version
+	for ( i; 0u ~ size ) {		// C version
 		int key = size - i;
 		int * v = bsearch( &key, iarr, size, sizeof( iarr[0] ), comp );
@@ -43,10 +43,10 @@
 	sout | endl;
 
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		int * v = bsearch( size - i, iarr, size );
 		sout | size - i | ':' | *v | ", ";
 	} // for
 	sout | endl;
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		unsigned int posn = bsearch( size - i, iarr, size );
 		sout | size - i | ':' | iarr[posn] | ", ";
@@ -55,5 +55,5 @@
 
 	// descending sort/search by changing < to >
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		iarr[i] = i + 1;
 		sout | iarr[i] | ", ";
@@ -63,14 +63,14 @@
 		int ?<?( int x, int y ) { return x > y; }
 		qsort( iarr, size );
-		for ( unsigned int i = 0; i < size; i += 1 ) {
+		for ( i; 0u ~ size ) {
 			sout | iarr[i] | ", ";
 		} // for
 		sout | endl;
-		for ( unsigned int i = 0; i < size; i += 1 ) {
+		for ( i; 0u ~ size ) {
 			int * v = bsearch( size - i, iarr, size );
 			sout | size - i | ':' | *v | ", ";
 		} // for
 		sout | endl;
-		for ( unsigned int i = 0; i < size; i += 1 ) {
+		for ( i; 0u ~ size ) {
 			unsigned int posn = bsearch( size - i, iarr, size );
 			sout | size - i | ':' | iarr[posn] | ", ";
@@ -80,5 +80,5 @@
 
 	double darr[size];
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		darr[i] = size - i + 0.5;
 		sout | darr[i] | ", ";
@@ -86,14 +86,14 @@
 	sout | endl;
 	qsort( darr, size );
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		sout | darr[i] | ", ";
 	} // for
 	sout | endl;
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		double * v = bsearch( size - i + 0.5, darr, size );
 		sout | size - i + 0.5 | ':' | *v | ", ";
 	} // for
 	sout | endl;
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		unsigned int posn = bsearch( size - i + 0.5, darr, size );
 		sout | size - i + 0.5 | ':' | darr[posn] | ", ";
@@ -104,5 +104,5 @@
 	int ?<?( S t1, S t2 ) { return t1.i < t2.i && t1.j < t2.j; }
 	ofstream & ?|?( ofstream & os, S v ) { return os | v.i | ' ' | v.j; }
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		sarr[i].i = size - i;
 		sarr[i].j = size - i + 1;
@@ -111,9 +111,9 @@
 	sout | endl;
 	qsort( sarr, size );
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		sout | sarr[i] | ", ";
 	} // for
 	sout | endl;
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		S temp = { size - i, size - i + 1 };
 		S * v = bsearch( temp, sarr, size );
@@ -121,5 +121,5 @@
 	} // for
 	sout | endl;
-	for ( unsigned int i = 0; i < size; i += 1 ) {
+	for ( i; 0u ~ size ) {
 		S temp = { size - i, size - i + 1 };
 		unsigned int posn = bsearch( temp, sarr, size );
@@ -129,14 +129,14 @@
 	{
 		unsigned int getKey( const S & s ) { return s.j; }
-		for ( unsigned int i = 0; i < size; i += 1 ) {
+		for ( i; 0u ~ size ) {
 			sout | sarr[i] | ", ";
 		} // for
 		sout | endl;
-		for ( unsigned int i = 0; i < size; i += 1 ) {
+		for ( i; 0u ~ size ) {
 			S * v = bsearch( size - i + 1, sarr, size );
 			sout | size - i + 1 | ':' | *v | ", ";
 		} // for
 		sout | endl;
-		for ( unsigned int i = 0; i < size; i += 1 ) {
+		for ( i; 0u ~ size ) {
 			unsigned int posn = bsearch( size - i + 1, sarr, size );
 			sout | size - i + 1 | ':' | sarr[posn] | ", ";
